## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developer.fabric.inc/llms.txt)

Use this file to discover all available pages before exploring further.

### Subscribe to webhooks

#### cURL

```
curl --request POST \
  --url https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/webhooks/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": 11011,
  "url": "https://webhook.example.com/notify",
  "event": "order.created",
  "is_active": true
}
'```

#### Python

```
import requests

url = "https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/webhooks/"

payload = {
    "id": 11011,
    "url": "https://webhook.example.com/notify",
    "event": "order.created",
    "is_active": True
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

#### JavaScript (Fetch)

```
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    id: 11011,
    url: 'https://webhook.example.com/notify',
    event: 'order.created',
    is_active: true
  })
};

fetch('https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/webhooks/', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP

```


```

### Response

**201 - application/json**  
Webhook subscription created  
Webhook subscription payload

#### Example Response Object

```
{
  "id": 11011,
  "url": "https://webhook.example.com/notify",
  "event": "order.created",
  "is_active": true
}
```

### Authorizations

Authorization:  
string  
header  
required  
Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Path Parameters

**retailer_id**  
integer  
required  
The unique retailer ID. In the Dropship UI this is called the Merchant ID. To find your Merchant ID, click your merchant name in the top nav.  
Example:  
`1001`

### Body

**application/json**  
Webhook subscription payload

**- id**  
integer  
Unique identifier for the subscription  
Example:  
`11011`

**- url**  
string<uri>  
Webhook listener endpoint  
Example:  
`"https://webhook.example.com/notify"`

**- event**  
string  
The event to subscribe to (e.g., order.created)  
Example:  
`"order.created"`

**- is_active**  
boolean  
Whether the subscription is currently active  
Example:  
`true`

### Response Attributes

**id**  
integer  
Unique identifier for the subscription  
Example:  
`11011`

**url**  
string<uri>  
Webhook listener endpoint  
Example:  
`"https://webhook.example.com/notify"`

**event**  
string  
The event to subscribe to (e.g., order.created)  
Example:  
`"order.created"`

**is_active**  
boolean  
Whether the subscription is currently active  
Example:  
`true`
